In order for it to work with the HELIX 5/7 CHIRP GPS G2/G2N Series, you should update your unit to software version 1.540 or higher.   This update is now available in the MyHumminbird  section of product registration.